Name:           mrrescue
Version:        1.02e
Release:        %mkrel 1
Summary:        Action game where you evacuate civilians from burning buildings
Group:          Games/Arcade
License:        zlib and CC-BY-SA 3.0
URL:            http://tangramgames.dk/games/mrrescue/
Source0:        https://github.com/SimonLarsen/mrrescue/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        mrrescue.png

BuildArch:      noarch
BuildRequires:  zip
Requires:       love >= 0.10

%description
Mr. Rescue is an arcade styled 2d action game centered around
evacuating civilians from burning buildings.

The game features fast paced fire extinguishing action,
intense boss battles, a catchy soundtrack and lots of throwing people
around in pseudo-randomly generated buildings.

%files
%doc LICENSE README.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/%{name}.love
%{_iconsdir}/hicolor/*/apps/%{name}.png

#----------------------------------------------------------------------------

%prep
%setup -q

%build
# Create .love archive
zip -9 -q -r %{name}.love .

# Launcher script
cat > %{name}.sh << EOF
#!/bin/sh
love %{_gamesdatadir}/%{name}/%{name}.love
EOF

# Desktop entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Mr. Rescue
Comment=Evacuate civilians from burning buildings
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%install
install -D -m 644 %{name}.love %{buildroot}%{_gamesdatadir}/%{name}/%{name}.love
install -D -m 755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}
install -D -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 644 %{_sourcedir}/%{name}.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png


%changelog
* Sat Oct 08 2016 akien <akien> 1.02e-1.mga6
+ Revision: 1059555
- Version 1.02e

* Fri Apr 15 2016 akien <akien> 1.02d-1.mga6
+ Revision: 1002816
- Version 1.02d (love 0.10 compatibility)

* Tue Feb 09 2016 umeabot <umeabot> 1.02c-5.mga6
+ Revision: 951878
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 akien <akien> 1.02c-4.mga5
+ Revision: 809357
- Fix love version in launcher script

* Wed Oct 15 2014 umeabot <umeabot> 1.02c-3.mga5
+ Revision: 738986
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.02c-2.mga5
+ Revision: 682659
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 akien <akien> 1.02c-1.mga5
+ Revision: 673805
- Add a better README file
- Version 1.02c, now using love 0.9.1

* Fri Mar 21 2014 akien <akien> 1.02b-2.mga5
+ Revision: 606459
- Add missing Summary

* Fri Mar 21 2014 akien <akien> 1.02b-1.mga5
+ Revision: 606453
- imported package mrrescue

